PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_ctrsmpl_Tile | ( | PLASMA_desc * | A,
|  | PLASMA_desc * | L,
|  | const int * | IPIV,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_ctrsmpl_Tile - Performs the forward substitution step of solving a system of linear equations after the tile LU factorization of the matrix. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | A | The tile factor L from the factorization, computed by PLASMA_cgetrf_incpiv.
  [in] | L | Auxiliary factorization data, related to the tile L factor, computed by PLASMA_cgetrf_incpiv.
  [in] | IPIV | The pivot indices from PLASMA_cgetrf_incpiv (not equivalent to LAPACK).
  [in,out] | B | On entry, the N-by-NRHS right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_ctrsmpl
  PLASMA_ctrsmpl_Tile_Async
  PLASMA_ctrsmpl_Tile
  PLASMA_dtrsmpl_Tile
  PLASMA_strsmpl_Tile
  PLASMA_cgetrf_incpiv_Tile